The latest Arduino IDE (1.6.9) is now supported in external programming by UDOO NEO, DUAL and QUAD

Discussion in 'Arduino IDE' started by Andrea Rovai, Jun 20, 2016.

  1. Andrea Rovai

    Andrea Rovai Well-Known Member

    Joined:
    Oct 27, 2014
    Messages:
    1,703
    Likes Received:
    240
    Hi friends,
    here I am to inform you about this good news: now UDOO NEO, DUAL and QUAD support the latest Arduino IDE, 1.6.9 if you program the Arduino side from an external computer.
    For what regards the internal programming we're working on it to support this feature.
    Hope you appreciate! I'll just echo the news in the NEO, DUAL and QUAD subforum. And if you happen to stumble upon the news on social media, share it!
     
    cyrilf and waltervl like this.
  2. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,162
    Likes Received:
    551
    Good news! Do we have to do something to update our Neo's or is it just installing Arduino IDE 1.6.9 and the Udoo board package on our normal PC's?
    Will Arduino IDE 1.6.10 also be supported when it comes out? The installation manual at least tells to install the last IDE, so when 1.6.10 comes out it will be used! Perhaps change the instruction when not supported yet.
     
  3. Andrea Rovai

    Andrea Rovai Well-Known Member

    Joined:
    Oct 27, 2014
    Messages:
    1,703
    Likes Received:
    240
    Hi @waltervl,
    there's already Arduino 1.6.12 and already works fine - you just have to download the latest Arduino IDE and UDOO board package and it will work fine on your PC.
    [I'm aware your message was dated waltervl, but I don't want to leave any stone unturned]
     
    waltervl likes this.
  4. chiefwigms

    chiefwigms New Member

    Joined:
    Oct 19, 2013
    Messages:
    15
    Likes Received:
    0
  5. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,162
    Likes Received:
    551
    @chiefwigms what is your problem? Just install the latest Arduino IDE and the Udoo board package.
    Armbian is not maintained by Udoo team so how can you blaim them?
     
  6. chiefwigms

    chiefwigms New Member

    Joined:
    Oct 19, 2013
    Messages:
    15
    Likes Received:
    0
    @waltervl - the problem is if you're trying to use the latest IDE on the UDOO itself, the dependencies won't install since there's no target for arm. I'm not blaming Armbian or Arduino - the UDOO team should just update their crap
     
  7. waltervl

    waltervl UDOOer

    Joined:
    Dec 12, 2015
    Messages:
    2,162
    Likes Received:
    551
    Ah, ok I see now. And what would be the benefit to update the internal Arduino IDE on Udoobuntu? Is it fixing some serious issues?
     
  8. chiefwigms

    chiefwigms New Member

    Joined:
    Oct 19, 2013
    Messages:
    15
    Likes Received:
    0
    Armbian is 10x better than the dated crap Udoo puts out, it'd be nice to be able to use the latest IDE (i'm on 1.5.4 hfp) without having to go through a bunch of hoops installing bootleged versions from several years ago
     

Share This Page